<?php
//$var = "Variable in array";
  $anything_goes = array(1,2, $var=>"some variable", "embed_array"=>array(1,2,3,"Fedex charge"=>'13.99'));
echo '<pre>';
 var_dump($anything_goes);
echo '</pre>';
  $var = -123;
//Will the array $anything_goes change values with the change in the variable $var ??
 //this is the loop
foreach($anything_goes as $key=>$value){
    if (is_array($value)){
        foreach ($value as $innerkey=>$innervalue){
            if ($innerkey == 'Fedex charge'){
            echo $innervalue.'<br>';
            }
        }
    }
}



//this is static
  $charge = ($anything_goes["embed_array"]["Fedex charge"]);

echo $charge;

?>  
  
  